# -*- coding: utf-8 -*-

from django.conf import settings


# NOTE Da rimuovere
class AgendaMixin(object):
    if 'jmb.agenda' in settings.INSTALLED_APPS:
        from django.contrib.contenttypes import generic
        from jmb.agenda.models import Membership
        memberships = generic.GenericRelation(Membership)

        def get_appointments(self):
            """
            Returns all appointments
            """
            memberships = self.memberships.all()
            appointments = {}
            for m in memberships:
                if not appointments.has_key(m.appointment.id):
                    appointments[m.appointment.id] = m.appointment
            return appointments.values()
