# -*- coding: utf-8 -*-

from rest_framework import serializers

from .. import models


class OwnerOrganizationRetrieveSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.OwnerOrganization
        fields = (
            'name', 'brand', 'vat_number', 'ssn', 'url', 'email',
            'phone', 'phone2', 'fax', 'organization_form',
            'default_invoice_address1', 'default_invoice_address2', 'default_invoice_address3'
        )
