# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('organization', '0002_auto_20160617_0912'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='contact',
            options={'ordering': ['ordering', 'last_name', 'first_name'], 'verbose_name': 'contact', 'verbose_name_plural': 'contacts', 'permissions': (('list_contact', 'Can list contact'),)},
        ),
        migrations.AlterModelOptions(
            name='contactrole',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'contact role', 'verbose_name_plural': 'contact roles', 'permissions': (('list_contactrole', 'Can list contact role'),)},
        ),
        migrations.AlterModelOptions(
            name='contacttitle',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'contact title', 'verbose_name_plural': 'contact titles', 'permissions': (('list_contacttitle', 'Can list contact title'),)},
        ),
        migrations.AlterModelOptions(
            name='customercontact',
            options={'verbose_name': 'customer contact', 'verbose_name_plural': 'customer contacts', 'permissions': (('list_customercontact', 'Can list customer contact'),)},
        ),
        migrations.AlterModelOptions(
            name='customerorganization',
            options={'verbose_name': 'customer organization', 'verbose_name_plural': 'customer organizations', 'permissions': (('list_customerorganization', 'Can list customer organization'),)},
        ),
        migrations.AlterModelOptions(
            name='field',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'field', 'verbose_name_plural': 'fields', 'permissions': (('list_field', 'Can list field'),)},
        ),
        migrations.AlterModelOptions(
            name='organization',
            options={'ordering': ('name',), 'verbose_name': 'organization', 'verbose_name_plural': 'organizations', 'permissions': (('list_organization', 'Can list organization'),)},
        ),
        migrations.AlterModelOptions(
            name='organizationaddress',
            options={'verbose_name': 'organization address', 'verbose_name_plural': 'organization addresses', 'permissions': (('list_organization_address', 'Can list organization address'),)},
        ),
        migrations.AlterModelOptions(
            name='organizationform',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'organization form', 'verbose_name_plural': 'organization forms', 'permissions': (('list_organizationform', 'Can list organization form'),)},
        ),
        migrations.AlterModelOptions(
            name='organizationgroup',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'organization group', 'verbose_name_plural': 'organization groups', 'permissions': (('list_organizationgroup', 'Can list organization group'),)},
        ),
        migrations.AlterModelOptions(
            name='organizationtype',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'organization type', 'verbose_name_plural': 'organization types', 'permissions': (('list_organizationtype', 'Can list organization type'),)},
        ),
        migrations.AlterModelOptions(
            name='ownercontact',
            options={'verbose_name': 'owner contact', 'verbose_name_plural': 'owner contacts', 'permissions': (('list_ownercontact', 'Can list owner contact'),)},
        ),
        migrations.AlterModelOptions(
            name='ownerorganization',
            options={'verbose_name': 'owner organization', 'verbose_name_plural': 'owner organizations', 'permissions': (('list_ownerorganization', 'Can list owner organization'),)},
        ),
        migrations.AlterModelOptions(
            name='suppliercontact',
            options={'verbose_name': 'supplier contact', 'verbose_name_plural': 'supplier contacts', 'permissions': (('list_suppliercontact', 'Can list supplier contact'),)},
        ),
        migrations.AlterModelOptions(
            name='supplierorganization',
            options={'verbose_name': 'supplier organization', 'verbose_name_plural': 'supplier organizations', 'permissions': (('list_supplierorganization', 'Can list supplier organization'),)},
        ),
        migrations.AlterModelOptions(
            name='vectorcontact',
            options={'verbose_name': 'vector contact', 'verbose_name_plural': 'vector contacts', 'permissions': (('list_vectorcontact', 'Can list vector contact'),)},
        ),
        migrations.AlterModelOptions(
            name='vectororganization',
            options={'verbose_name': 'vector organization', 'verbose_name_plural': 'vector organizations', 'permissions': (('list_vectororganization', 'Can list vector organization'),)},
        ),
        migrations.AlterModelOptions(
            name='workercontact',
            options={'verbose_name': 'worker contact', 'verbose_name_plural': 'worker contacts', 'permissions': (('list_workercontact', 'Can list worker contact'),)},
        ),
    ]
